Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225957 - Merge Review: k3b
Summary: Merge Review: k3b
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 229420 Merge
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 14:31:42 UTC
ed: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:14:20 UTC
Fedora Merge Review: k3b

http://cvs.fedora.redhat.com/viewcvs/devel/k3b/
Initial Owner: harald@redhat.com

Comment 1 Ed Hill 2007-02-03 17:01:15 UTC
Hi there, The following are the review items that stand out.  I realize 
that almost all of the includes are prefixed with "k3b" but nonetheless
it would be nice to put all of them in a subdir such as: /usr/include/k3b/

Anyway, the list of items is:

 - please use the preferred BuildRoot

 - rpmlint complains about a number of things:
   - devel content in non-devel package (many files)
     - please consider creating a sub-dir such as /usr/include/k3b
       to contain all the k3b headers
   - dead patches are still being carried around and should 
     probably be deleted:
W: k3b patch-not-applied Patch1: k3b-0.11.3-kde32.patch
W: k3b patch-not-applied Patch2: k3b-0.11.6-desktopfile.patch
W: k3b patch-not-applied Patch5: k3b-0.11.14-version.patch
W: k3b patch-not-applied Patch7: k3b-0.11.17-dao.patch
W: k3b patch-not-applied Patch6: k3b-0.11.14-suid.patch
W: k3b patch-not-applied Patch9: k3b-0.11.23-proxy.patch
W: k3b patch-not-applied Patch8: k3b-0.12.2-statfs.patch
   - please remove prereq-use /sbin/ldconfig
   - I don't really understand this--can someone else please 
     help explain it:
/tmp/k3b-0.12.17-1.i386.rpm.30099/usr/share/applications/kde-k3b.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"

 - please consider adding %{?dist} to Release


Comment 2 Ed Hill 2007-02-03 17:12:33 UTC
Bummer.  I hit "save changes" a little too fast.  :-)  There are a few 
other things that should have been listed:

 + Please see builds, logs, and rpmlint output at:
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/k3b-0.12.17-1.src.rpm/result/

 - the /usr/lib/kde3/*.la files should be deleted

 - some of the libs (e.g. /usr/lib/*.so) also belong in a separate
   -devel sub-package


Comment 3 Chitlesh GOORAH 2007-02-08 08:40:04 UTC
(In reply to comment #2)
>  - the /usr/lib/kde3/*.la files should be deleted
 
Please ensure, that K3B really doesn't need it, else you will have a vague of
bug report from users. Since KDE3 itself is heavily dependent on .la files.
http://bugs.kde.org/show_bug.cgi?id=139445

If you are removing those .la files, ensure proper testing has been carried out.


Comment 4 Rex Dieter 2007-02-08 14:44:55 UTC
>  the /usr/lib/kde3/*.la files should be deleted
I can vouge that in many cases, kde apps (still) do need these .la files.  
These are of the type that cause no harm (vs. those in %_libdir), so I'd 
strongly recommend leaving them as-is.

Re:  DocPath in .desktop file
Mostly harmless warning.  

While on the topic of .desktop files, I'd recommend using this instead (to 
preserve upstream .desktop vendor):
desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Red-Hat-Base \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
(not sure the point of adding X-Red-Hat-Base, but a comment justifying it's 
use in the specfile would be helpful for posterity).

Comment 5 Rex Dieter 2007-02-21 15:51:29 UTC
Once merge is complete, *this* package can/should:
Obsoletes: k3b-extras < %{version}-%{release}
Provides:  k3b-extras = %{version}-%{release}
BuildRequires:  libmpcdec-devel
BuildRequires:  libsndfile-devel
and add %configure options:  --with-musepack --with-sndfile

See also bug #229420

Comment 6 Rex Dieter 2007-02-28 18:33:18 UTC
harold, is this your package?  Can we have some movement here?  
We really need to get the kde stack merged by early next week.

Comment 7 Harald Hoyer 2007-03-02 13:04:47 UTC
err... 
$ brew latest-pkg dist-fc7 k3b
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
k3b-1.0.0-0.rc6.1.fc7                     dist-fc7              harald


Comment 8 Rex Dieter 2007-03-02 13:35:53 UTC
So, I take it then that you incorporated the Ed's suggestions already?

Comment 9 Rex Dieter 2007-03-02 13:37:23 UTC
Hrm, looking closer, turns out besides .la files, Ed didn't have any
suggestions.  Ed, anything else blocking approval here?

Comment 10 Ed Hill 2007-03-05 03:42:53 UTC
Hi folks, my apologies for the slow response--have been quite busy with
${WORK}.

My two main suggestions were the removal of *.la files [which I now 
understand are needed by many KDE apps--sorry!], and the creation of 
a -devel subpackage.  I see that the -devel package was created on 
Feb 15th so thats good.

And I don't see anything else at odds with the packaging guidelines so 
its APPROVED.

Comment 11 Rex Dieter 2007-04-10 18:55:16 UTC
Harald,
per comment #5, could you add the Obsoletes k3b-extras at least for now (even
before the BR's and Provides) so that we can have a clean upgrade path and
remove k3b-extras from the repos?

After the merge, you can do the rest.  Sound ok?

Comment 12 Harald Hoyer 2007-04-11 07:58:56 UTC
> After the merge, you can do the rest.  Sound ok?

No :) Need your experience and help :)

Comment 13 Rex Dieter 2007-04-11 11:38:05 UTC
OK, let me rephrase... 
After the merge, if you don't mind, I can help co-maintain k3b, and then *we*
can do the rest.
Sound better? :)

Regardless, we'd like to get the Obsoletes in place asap (ie, in time for f7t4).

Comment 14 Harald Hoyer 2007-04-11 12:53:36 UTC
k3b-1.0-1.fc7

Comment 15 Rex Dieter 2007-05-29 15:52:41 UTC
Hrm, we missed actually adding the BR's after the merge. :(

Harold, if you can add me as comaintainer (and add me to pkg.acl), I can help
out here.

Comment 16 Harald Hoyer 2007-05-30 12:18:21 UTC
Package Change Request
======================
Package Name: k3b
Updated Fedora Owners: harald@redhat.com,rdieter@math.unl.edu


Comment 17 Tom "spot" Callaway 2007-05-31 14:18:27 UTC
cvs done.

Comment 18 Rex Dieter 2007-06-20 14:31:42 UTC
Closing, all is well in the world.


Note You need to log in before you can comment on or make changes to this bug.